# -*- coding: utf-8 -*-

from django.contrib import admin

from protocolo.cadastro.models import Ano
from protocolo.cadastro.models import Mes
from protocolo.cadastro.models import TipoRelatorio
from protocolo.cadastro.models import Municipio
from protocolo.cadastro.models import Estado
from protocolo.cadastro.models import Cliente
from protocolo.cadastro.models import TipoCliente
from protocolo.cadastro.models import IndiceCliente
from protocolo.cadastro.models import IndiceTipoCliente


class AnoAdmin(admin.ModelAdmin):
    pass


class MesAdmin(admin.ModelAdmin):
    pass


class TipoRelatorioAdmin(admin.ModelAdmin):
    pass


class MunicipioAdmin(admin.ModelAdmin):
    list_display = ('nome', 'estado')
    list_filter = ['estado',]


class MunicipioAdmin(admin.ModelAdmin):
    list_display = ('nome', 'estado')
    list_filter = ['estado',]


class EstadoAdmin(admin.ModelAdmin):
    pass


class TipoClienteAdmin(admin.ModelAdmin):
    pass


class ClienteAdmin(admin.ModelAdmin):
    list_display = ('nome', 'tipo_cliente', 'municipio', 'ativo')
    list_filter = ('ativo', 'tipo_cliente', 'municipio')
    search_fields = ['nome',]
    list_per_page = 30


class IndiceTipoClienteAdmin(admin.ModelAdmin):
    list_display = ('nome',)
    exclude = ('somente_cliente',)


class IndiceClienteAdmin(admin.ModelAdmin):
    exclude = ('somente_cliente',)

admin.site.register(IndiceCliente, IndiceClienteAdmin)
admin.site.register(IndiceTipoCliente, IndiceTipoClienteAdmin)
admin.site.register(Ano, AnoAdmin)
admin.site.register(Mes, MesAdmin)
admin.site.register(TipoCliente, TipoClienteAdmin)
admin.site.register(Cliente, ClienteAdmin)
admin.site.register(Municipio, MunicipioAdmin)
admin.site.register(Estado, EstadoAdmin)
admin.site.register(TipoRelatorio, TipoRelatorioAdmin)
