from django.conf import settings
from django.template import Library
from protocolo import __version__

register = Library()

@register.inclusion_tag('core.html')
def versao():
    if settings.DEBUG:
        return {'versao': __version__, 'debug': True}

    return {'versao': __version__, 'debug': False}
