from django.conf.urls.defaults import patterns
from django.conf.urls.defaults import url

from relatorio.forms import PreFiltroFormRelatorioForaMeta
from relatorio.forms import PreFiltroFormRelatorioNaoInformado
from relatorio.forms import FiltroWizardRelatorioForaMeta
from relatorio.forms import FiltroWizardRelatorioNaoInformado

urlpatterns = patterns('protocolo.relatorio.views',
    (r'filtro/fora_meta/$', FiltroWizardRelatorioForaMeta([PreFiltroFormRelatorioForaMeta]),),
    (r'filtro/relatorio_nao_enviado/$', FiltroWizardRelatorioNaoInformado([PreFiltroFormRelatorioNaoInformado]),),

    url('fora_meta/$', 'get_relatorio_clientes_fora_meta',),
    url('relatorio_nao_enviado/$', 'get_relatorio_cliente_nao_informado',),
)

