# -*- coding: utf-8 -*-
from django.conf.urls.defaults import patterns
from django.conf.urls.defaults import include
from django.contrib import admin
from django.conf import settings

admin.autodiscover()

BASE_DIR = settings.SITE_ROOT

urlpatterns = patterns('',
    (r'^admin/doc/', include('django.contrib.admindocs.urls')),
    (r'^admin/', include(admin.site.urls)),
    (r'^media/(?P<path>.*)$', 'django.views.static.serve', {'document_root': BASE_DIR + '/media/'}),
    (r'^no_javascript/$', 'protocolo.utils.views.no_javascript'),
    (r'^no_ie/$', 'protocolo.utils.views.no_ie'),
    (r'^accounts/login/$', 'django.contrib.auth.views.login'),

    (r'^cliente/', include('configuracao.urls')),
    (r'^protocolo/', include('protocolos.urls')),
    (r'^municipio/', include('cadastro.urls')),
    (r'^data/', include('cadastro.urls')),
    (r'^relatorios/', include('relatorio.urls')),
)

