function desativar_submit(){
    $(':submit').attr("disabled", true);
}

function ativar_submit(){
    $(':submit').attr("disabled", false);
}

function desativar_mes(){
    $('#id_mes').val(0);
    $('#id_mes').change();
    $('#id_mes').attr("disabled", true);
}

function desativar_municipio(){
    $('#id_municipio').val(0);
    $('#id_municipio').change();
    $('#id_municipio').attr("disabled", true);
}

function desativar_cliente(){
    $('#id_cliente').val(0);
    $('#id_cliente').change();
    $('#id_cliente').attr("disabled", true);
}

function ativar_mes(){
    $('#id_mes').attr("disabled", false);
}

function ativar_municipio(){
    $('#id_municipio').attr("disabled", false);
}

function ativar_cliente(){
    $('#id_cliente').attr("disabled", false);
}

function limpar_id_cliente(){
    $('#id_cliente').empty();
}

function limpar_id_municipio(){
    $('#id_municipio').empty();
}

function limpar_id_mes(){
    $('#id_mes').empty();
}

function desativar_delete(){
    $('.delete').hide();
    $('.deletelink-box').hide();
}

// Oculta o div que permite o upload de arquivos e o preenchimento dos índices.
function ocultar_div_arquivos_indices(){
    $('div[class=inline-group]:eq(0)').hide();
    $('div[class=inline-group]:eq(1)').hide();
    $('div[class=inline-group]:eq(2)').hide();
}

function ocultar_div_tipo_cliente_indices(){
    $('div[class=inline-group]:eq(1)').hide();
}

function ocultar_div_cliente_indices(){
    $('div[class=inline-group]:eq(2)').hide();
}

function exibir_div_arquivos_indices(){
    $('div[class=inline-group]').show();
}

function __exibir_div_tipo_cliente_indices(){
    $('div[class=inline-group]:eq(1)').show();
}

function __exibir_div_cliente_indices(){
    $('div[class=inline-group]:eq(2)').show();
}

function mudar_componente_ano(){
    /* Oculta o combobox do ano, e em seu lugar insere apenas o texto do
     * elemento selecionado.
     */
    $('#id_ano').hide();
    $('#add_id_ano').hide();

    $('<font>' + $('#id_ano :selected').text() +
        '</font>').insertBefore('#id_ano');
}

function mudar_componente_mes(){
    /* Oculta o combobox do mes, e em seu lugar insere apenas o texto do
     * elemento selecionado.
     */
    $('#id_mes').hide();
    $('#add_id_mes').hide();

    $('<font>' + $('#id_mes :selected').text() +
        '</font>').insertBefore('#id_mes');
}

function mudar_componente_municipio(){
    /* Oculta o combobox do mes, e em seu lugar insere apenas o texto do
     * elemento selecionado.
     */
    $('#id_municipio').hide();
    $('#add_id_municipio').hide();

    $('<font>' + $('#id_municipio :selected').text() +
        '</font>').insertBefore('#id_municipio');
}

function mudar_componente_cliente(){
    /* Oculta o combobox do mes, e em seu lugar insere apenas o texto do
     * elemento selecionado.
     */
    $('#id_cliente').hide();
    $('#add_id_cliente').hide();

    $('<font>' + $('#id_cliente :selected').text() +
        '</font>').insertBefore('#id_cliente');
}

function mudar_componente_relatorios(){
    /* Oculta os combo boxes dos arquivos que devem ser enviados, e em seu
     * lugar insere apenas o texto do elemento selecionado.
     */
    relatorios_exibidos = parseInt($('tbody:eq(0)').children().size())

    /* Remove os elementos font, para evitar a concatenação do elemento antigo
     * com o elemento novo. */
    $('tbody:eq(0) font').remove();

    for(i = 0; i < relatorios_exibidos; i++){
        $('#id_arquivo_set-' + i + '-tipo_relatorio').hide();
        $('#add_id_arquivo_set-' + i + '-tipo_relatorio').hide();

        $('<font>' + $('#id_arquivo_set-' + i + '-tipo_relatorio :selected').text() +
             '</font>').insertBefore('#id_arquivo_set-' + i + '-tipo_relatorio');
    }
}

function mudar_componente_tipo_cliente_indices(){
    /* Oculta os combo boxes dos arquivos que devem ser enviados, e em seu lugar
     * insere apenas o texto do elemento selecionado.
     */
    indices_exibidos = parseInt($('tbody:eq(1)').children().size())

    /* Remove os elementos font, para evitar a concatenação do elemento antigo
     * com o elemento novo. */
    $('tbody:eq(1) font').remove();

    for(i = 0; i < indices_exibidos; i++){
        $('#id_tipoclienteindiceinformado_set-' + i + '-indice').hide();
        $('#add_id_tipoclienteindiceinformado_set-' + i + '-indice').hide();

        $('<font>' + $('#id_tipoclienteindiceinformado_set-' + i + '-indice :selected').text() +
             '</font>').insertBefore('#id_tipoclienteindiceinformado_set-' + i + '-indice');
    }
}


function mudar_componente_cliente_indices(){
    /* Oculta os combo boxes dos arquivos que devem ser enviados, e em seu lugar
     * insere apenas o texto do elemento selecionado.
     */
    indices_exibidos = parseInt($('tbody:eq(2)').children().size())

    /* Remove os elementos font, para evitar a concatenação do elemento antigo
     * com o elemento novo. */
    $('tbody:eq(2) font').remove();

    for(i = 0; i < indices_exibidos; i++){
        $('#id_clienteindiceinformado_set-' + i + '-indice').hide();
        $('#add_id_clienteindiceinformado_set-' + i + '-indice').hide();

        $('<font>' + $('#id_clienteindiceinformado_set-' + i + '-indice :selected').text() +
             '</font>').insertBefore('#id_clienteindiceinformado_set-' + i + '-indice');
    }
}

function mudar_componentes_chave(){
    /* Oculta os comboboxes e insere em seu lugar apenas o texto do item
     * selecionado.
     **/
    mudar_componente_ano();
    mudar_componente_mes();
    mudar_componente_municipio();
    mudar_componente_cliente();
    mudar_componente_relatorios();
    mudar_componente_tipo_cliente_indices();
    mudar_componente_cliente_indices();
}

function atualizar_cliente(){
    /**
     * Atualiza a lista de clientes de acordo com municipio selecionado.
     **/
    if(!$('#id_municipio option:selected').text().match('\-+')){
        var cliente_selecionado = $('#id_cliente').val();
        $.ajax({
            type: "GET",
            url: "/municipio/clientes/",
            dataType: "json",
            data: {'id_municipio': $('#id_municipio').val(),
                'id_ano': $('#id_ano').val(),
                'id_mes': $('#id_mes').val()
            },
            success: function(retorno){
                limpar_id_cliente();
                $("#id_cliente").append(
                '<option value=0>--------</option>'
                );
                $.each(retorno, function(i, item){
                    $("#id_cliente").append(
                    '<option value=' + item['pk'] + '>' + item.fields['nome'] + '</option>'
                    );
                });
                /* Garante que após a atualização o mesmo cliente cotinuará
                 * selecionado. */
                $("#id_cliente").val(cliente_selecionado);
            },
            error: function(){
                alert('Ocorreu um erro ao recuperar os clientes do municipio, por favor recarregue a página.');
            }
        });
    }
}

function _exibir_relatorios_obrigatorios(total_relatorios){
    /* Exibe apenas os relatórios que são obrigatórios, o resto fica oculto. */
    relatorios_exibidos = parseInt($('tbody:eq(0) tr:visible').length);

    if(total_relatorios < relatorios_exibidos){
        for(i = total_relatorios; i < relatorios_exibidos; i++){
            $('#id_arquivo_set-' + i + '-tipo_relatorio').val('');
            $('tbody:eq(0) > tr:eq(' + (i).toString() + ')').hide();
        }
    } else if(total_relatorios > relatorios_exibidos){
        for(i = relatorios_exibidos; i < total_relatorios; i++){
            $('tbody:eq(0) > tr:eq(' + (i).toString() + ')').show();
        }
    }
}

function atualizar_relatorios(){
    /* Exibe apenas os relatórios que o cliente deve enviar.
     **/
    $.ajax({
        type: "GET",
        url: "/cliente/relatorios/",
        dataType: "json",
        data: {
            'id_cliente': $('#id_cliente').val(),
            'id_ano': $('#id_ano').val(),
            'id_mes': $('#id_mes').val()
        },
        success: function(retorno){
            if(retorno.length > 0){
                var total_relatorios = 0;

                $.each(retorno, function(i, item){
                    ++total_relatorios;
                    $('#id_arquivo_set-' + i + '-tipo_relatorio').val(item['pk']);
                });

                _exibir_relatorios_obrigatorios(total_relatorios);
                mudar_componente_relatorios();
                ativar_submit();
            } else {
                ocultar_div_arquivos_indices();
                desativar_submit();
            }
        },
        error: function(){
            alert('Ocorreu um erro ao tentar recuperar os relatórios, por favor recarregue a página.');
        }
    });
}

function _exibir_tipo_cliente_indices_obrigatorios(indices_cliente){
    /* Exibe apenas os índices que são obrigatórios, o resto fica oculto. */
    var indices_exibidos = parseInt($('tbody:eq(1) tr:visible').length);

    if(indices_cliente < indices_exibidos){
        for(i = indices_cliente; i < indices_exibidos; i++){
            $('#id_tipoclienteindiceinformado_set-' + i + '-indice').val('');
            $('tbody:eq(1) > tr:eq(' + (i).toString() + ')').hide();
        }
    } else if(indices_cliente > indices_exibidos){
        for(i = indices_exibidos; i < indices_cliente; i++){
            $('tbody:eq(1) > tr:eq(' + (i).toString() + ')').show();
        }
    }
    __exibir_div_tipo_cliente_indices();
}

function _exibir_cliente_indices_obrigatorios(indices_cliente){
    /* Exibe apenas os índices que são obrigatórios, o resto fica oculto. */
    var indices_exibidos = parseInt($('tbody:eq(2) tr:visible').length);

    if(indices_cliente < indices_exibidos){
        for(i = indices_cliente; i < indices_exibidos; i++){
            $('#id_clienteindiceinformado_set-' + i + '-indice').val('');
            $('tbody:eq(2) > tr:eq(' + (i).toString() + ')').hide();
        }
    } else if(indices_cliente > indices_exibidos){
        for(i = indices_exibidos; i < indices_cliente; i++){
            $('tbody:eq(2) > tr:eq(' + (i).toString() + ')').show();
        }
    }
    __exibir_div_cliente_indices();
}

function atualizar_tipo_cliente_indices(){
    /* Exibe apenas os indices que são exigidos para aquele tipo de cliente.
     **/
    $.ajax({
        type: "GET",
        url: "/cliente/tipo_cliente_indices/",
        dataType: "json",
        data: {
            'id_cliente': $('#id_cliente').val(),
            'id_ano': $('#id_ano').val(),
            'id_mes': $('#id_mes').val()
        },
        success: function(retorno){
            var indices_tipo_cliente = 0;

            if(retorno.length > 0){
                $.each(retorno, function(i, item){
                    ++indices_tipo_cliente;
                    $('#id_tipoclienteindiceinformado_set-' + i + '-indice').val(item['pk']);
                });
                _exibir_tipo_cliente_indices_obrigatorios(indices_tipo_cliente);
                mudar_componente_tipo_cliente_indices();
                //ativar_submit();
            } else {
                ocultar_div_tipo_cliente_indices();
            }
        },
        error: function(){
            alert('Ocorreu um erro ao recuperar os indices do tipo de cliente, por favor recarregue a página.');
        }
    });
}

function atualizar_cliente_indices(){
    /* Exibe apenas os indices que são exigidos para aquele cliente.
     **/
    $.ajax({
        type: "GET",
        url: "/cliente/cliente_indices/",
        dataType: "json",
        data: {
            'id_cliente': $('#id_cliente').val(),
            'id_ano': $('#id_ano').val()
        },
        success: function(retorno){
            var indices_cliente = 0;

            if(retorno.length > 0){
                $.each(retorno, function(i, item){
                    ++indices_cliente;
                    $('#id_clienteindiceinformado_set-' + i + '-indice').val(item['pk']);
                });
                _exibir_cliente_indices_obrigatorios(indices_cliente);
                mudar_componente_cliente_indices();
                //ativar_submit();
            } else {
                ocultar_div_cliente_indices();
            }
        },
        error: function(){
            alert('Ocorreu um erro ao recuperar os indices do cliente, por favor recarregue a página.');
        }
    });
}

function atualizar_municipio(){
    $.ajax({
        type: "GET",
        url: "/municipio/municipios/",
        dataType: "json",
        data: {
            'id_mes': $('#id_mes').val(),
            'id_ano': $('#id_ano').val()
        },
        success: function(retorno){
            limpar_id_municipio();
            $("#id_municipio").append(
                '<option value=0>--------</option>'
            );
            $.each(retorno, function(i, item){
                $("#id_municipio").append(
                '<option value=' + item['pk'] + '>' + item.fields['nome'] + '</option>'
                );
            });
            $("#id_municipio").val(0);
            $("#id_municipio").change();
        },
        error: function(){
            alert('Ocorreu um erro ao recuperar os municípios, por favor recarregue a página.');
        }
    });
}

function atualizar_mes(id_mes){
    $.ajax({
        type: "GET",
        url: "/data/meses/",
        dataType: "json",
        data: {
            'id_ano': $('#id_ano').val()
        },
        success: function(retorno){
            limpar_id_mes();
            $("#id_mes").append(
                '<option value=0>--------</option>'
            );
            $.each(retorno, function(i, item){
                $("#id_mes").append(
                '<option value=' + item['pk'] + '>' + item.fields['nome'] + '</option>'
                );
            });
            if(id_mes){
                $("#id_mes").val(id_mes);
            }
        },
        error: function(){
            desativar_mes();
        }
    });
}

function inicializar_formulario(){
    /**
     * Inicializações básicas para o formulário.
     **/
    desativar_submit();
    //desativar_mes();
    var id_mes_selecionado = $('#id_mes option:selected').val();

    atualizar_mes(id_mes_selecionado);

    if(!$('#id_mes option:selected').text() ||
        $('#id_mes option:selected').text().match('\--+')){
        desativar_mes();
    }

    if(!$('#id_municipio option:selected').text() ||
        $('#id_municipio option:selected').text().match('\--+')){

        desativar_municipio();
    }

    if(!$('#id_cliente option:selected').text() ||
        $('#id_cliente option:selected').text().match('\--+')){

        desativar_cliente();
        ocultar_div_arquivos_indices();
    } else {
        /* As funções abaixo garantem que mesmo após um refresh somente os
         * índices e os relatórios obrigatórios serão exibidos. */
        atualizar_cliente();
        atualizar_relatorios();
        atualizar_tipo_cliente_indices();
        atualizar_cliente_indices();
    }

    // Funções change
    $('#id_ano').change(function(){
        if($('#id_ano option:selected').text().match('\--+'))
        {
            desativar_mes();
        } else {
            atualizar_mes(id_mes_selecionado);
            ativar_mes();
            //$('#id_mes').change();
        }
    });

    $('#id_mes').change(function(){
        if($('#id_mes option:selected').text().match('\--+'))
        {
            desativar_municipio();
        } else {
            atualizar_municipio();
            ativar_municipio();
            $('#id_municipio').change();
        }
    });

    $('#id_municipio').change(function(){
        if($('#id_municipio option:selected').text().match('\--+'))
        {
            desativar_cliente();
            ocultar_div_arquivos_indices();
        } else {
            ativar_cliente();
            atualizar_cliente();
            $('#id_cliente').change();
        }
    });

    $('#id_cliente').change(function(){
        if($('#id_cliente option:selected').text().match('\--+')){
            ocultar_div_arquivos_indices();
            desativar_submit();
        } else {
            atualizar_relatorios();
            atualizar_tipo_cliente_indices();
            atualizar_cliente_indices();
            exibir_div_arquivos_indices();
            ativar_submit();
        }
    });
}

$(document).ready(function(){
    /**
     * Alterna entre os modos de edição e inserção.
     **/
    if(window.location.href.match(/\/\d+\/$/)){
        /**
         * Caso um registro esteja sendo editado, os campos ano, mes, municipio
         * e cliente serão desativados.
         **/
        atualizar_relatorios();
        atualizar_tipo_cliente_indices();
        atualizar_cliente_indices();
        mudar_componentes_chave();
        desativar_delete();
    } else {
        // Inserção
        inicializar_formulario();
    }
});
