# -*- coding: utf-8 -*-
from django import template

register = template.Library()

def filtro_protocolo_arquivo_cliente_count(value, arg):
    protocolo_arquivo=value.filter(cliente=arg)

    if protocolo_arquivo:
        total_arquivos = protocolo_arquivo[0].arquivo_set.count()
        if total_arquivos:
            return total_arquivos
        else:
            return 0
    else:
        return 0


def filtro_protocolo_arquivo_cliente(value, arg):
    count_filtro = value.filter(cliente=arg).count()
    if arg.id == 3 and count_filtro > 0:
        print count_filtro
    return value.filter(cliente=arg)

def filtro_protocolo_arquivo_relatorio(value, arg):
    retorno = value.arquivo_set.filter(tipo_relatorio=arg)
    return retorno

def filtro_relatorios_tipo_cliente_count(value):
    if value.tipo_cliente.tipoclienteconfiguracao_set.all():
        configuracao = value.tipo_cliente.tipoclienteconfiguracao_set.all()[0]

        total = configuracao.tipos_relatorio.all().count()

        if total:
            return total
        else:
            return -1
    else:
        return -1

def filtro_protocolo_arquivo_url(value, arg):
    retorno = value.arquivo_set.filter(tipo_relatorio=arg)
    return retorno[0].arquivo.url

register.filter('filtro_protocolo_arquivo_cliente', filtro_protocolo_arquivo_cliente)
register.filter('count_arquivos_cliente', filtro_protocolo_arquivo_cliente_count)
register.filter('filtro_protocolo_arquivo_relatorio', filtro_protocolo_arquivo_relatorio)
register.filter('relatorios_count', filtro_relatorios_tipo_cliente_count)
register.filter('filtro_protocolo_arquivo_url', filtro_protocolo_arquivo_url)
