# -*- coding: utf-8 -*-

__author__="elton"
__date__ ="$30/03/2010 10:13:22$"

import time
from pyPdf.utils import PdfReadError
from pyPdf import PdfFileReader

# Posição dia, mês, ano, etc... em time.localtime
ANO = 0
MES = 1
DIA = 2
HORA = 3
MINUTO = 4
SEGUNDO = 5

def get_ano_atual():
    t = time.localtime()
    return t[ANO]

def get_mes_atual():
    t = time.localtime()
    return t[MES]

def get_dia_atual():
    t = time.localtime()
    return t[DIA]

def get_hora_atual():
    t = time.localtime()
    return t[HORA]

def get_minuto_atual():
    t = time.localtime()
    return t[MINUTO]

def get_segundo_atual():
    t = time.localtime()
    return t[SEGUNDO]

def valida_arquivo_pdf(arquivo):
    """ Valida arquivo pdf pelo conteúdo.
    """
    try:
        PdfFileReader(file(arquivo, "rb"))
        return True
    except(PdfReadError):
        return False

    return arquivo

def formata_dia_mes(data):
    """ Formata dia ou mês para ficar sempre com dois dígitos.
    """
    tamanho=2

    if len(data) < tamanho:
        return '0' * (tamanho-len(data)) + data
    else:
        return data
